# Sagemath patch level
%global sagepatch .p8

Name:           genus2reduction
Version:        0.3
Release:        20%{?dist}
Summary:        Computes Reductions of Genus 2 Proper Smooth Curves
License:        GPLv2
URL:            http://www.math.u-bordeaux1.fr/~qliu/G2R/
Source0:        http://www.sagemath.org/packages/standard/%{name}-%{version}%{sagepatch}.spkg
# Adapt to recent versions of pari
Patch0:         %{name}-pari.patch

BuildRequires:  gcc
BuildRequires:  pari-devel

%description
Computes the conductor and reduction types for a genus 2 hyperelliptic
curve.

As an example of genus2reduction's functionality, let C be a proper
smooth curve of genus 2 defined by a hyperelliptic equation
y^2+Q(x)y=P(x), where P(x) and Q(x) are polynomials with rational
coefficients such that deg(Q(x))<4, deg(P(x))<7.  Let J(C) be the
Jacobian of C, let X be the minimal regular model of C over the ring of
integers Z.

This program determines the reduction of C at any prime number p (that
is the special fiber X_p of X over p), and the exponent f of the
conductor of J(C) at p.

%prep
%setup -q -n %{name}-%{version}%{sagepatch}
%patch0

%build
cd src
gcc %{optflags} -I%{_includedir}/pari -o %{name} %{name}.c $RPM_LD_FLAGS -lpari

%install
mkdir -p $RPM_BUILD_ROOT%{_bindir}
install -p -m 755 src/%{name} $RPM_BUILD_ROOT%{_bindir}/%{name}

%files
%doc src/README src/SAGE.txt src/THANKS src/WARNING
%license src/gpl-email.txt src/COPYING
%{_bindir}/%{name}

%changelog
* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.3-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Feb 17 2015 Jerry James <loganjerry@gmail.com> - 0.3-15
- Use license macro

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri May 23 2014 Jerry James <loganjerry@gmail.com> - 0.3-12
- Rebuild for pari 2.7.1
- Upstream maintenance is now done by sagemath.  Switch to their tarball.
- Drop patch, it is included in the new upstream.
- Drop license clarification texts, also included in new upstream.

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 25 2012 Jerry James <loganjerry@gmail.com> - 0.3-9
- Adapt to newer versions of pari
- Minor spec file cleanups
- New description courtesy of Debian

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-8.2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-7.2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Oct 20 2011 Marcela Mašláňová <mmaslano@redhat.com> - 0.3-6.2
- rebuild with new gmp without compat lib

* Tue Oct 11 2011 Peter Schiffer <pschiffe@redhat.com> - 0.3-6.1
- rebuild with new gmp

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat May  9 2009 Ville Skyttä <ville.skytta at iki.fi> - 0.3-4
- Build with $RPM_OPT_FLAGS.

* Thu Mar 12 2009 Conrad Meyer <konrad@tylerc.org> - 0.3-3
- Add additional license clarification.

* Fri Dec 12 2008 Conrad Meyer <konrad@tylerc.org> - 0.3-2
- Add gmp-devel BR.

* Mon Dec 8 2008 Conrad Meyer <konrad@tylerc.org> - 0.3-1
- Initial package.
